JspFragmentImpl (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class JspFragmentImpl

    java.lang.Object
      javax.servlet.jsp.tagext.JspFragment
          org.codehaus.groovy.grails.web.pages.ext.jsp.JspFragmentImpl

    class JspFragmentImpl
    extends javax.servlet.jsp.tagext.JspFragment

Property Summary
`FastStringWriter` | `body`
`GroovyPagesPageContext` | `pageContext`

Constructor Summary
`JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)`

Method Summary
`javax.servlet.jsp.JspContext` | `getJspContext()`
`void` | `invoke(java.io.Writer out)`

Methods inherited from class javax.servlet.jsp.tagext.JspFragment
javax.servlet.jsp.tagext.JspFragment#invoke(java.io.Writer), javax.servlet.jsp.tagext.JspFragment#getJspContext(), javax.servlet.jsp.tagext.JspFragment#wait(long, int), javax.servlet.jsp.tagext.JspFragment#wait(long), javax.servlet.jsp.tagext.JspFragment#wait(), javax.servlet.jsp.tagext.JspFragment#equals(java.lang.Object), javax.servlet.jsp.tagext.JspFragment#toString(), javax.servlet.jsp.tagext.JspFragment#hashCode(), javax.servlet.jsp.tagext.JspFragment#getClass(), javax.servlet.jsp.tagext.JspFragment#notify(), javax.servlet.jsp.tagext.JspFragment#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### body

    FastStringWriter body

### pageContext

    GroovyPagesPageContext pageContext

Constructor Detail

### JspFragmentImpl

    JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)

Method Detail

### getJspContext

    javax.servlet.jsp.JspContext getJspContext()

### invoke

    void invoke(java.io.Writer out)

Groovy Documentation